## webkit2gtk 2.50.2

=== debian/changelog ===
webkit2gtk (2.50.2-1~deb11u1) bullseye-security; urgency=medium

  * Backport to bullseye.
  * debian/patches/revert-glib-bump.patch: refresh.
  * rules: drop armhf workaround, we build with clang 16 everywhere.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 02 Dec 2025 16:56:45 +0100

webkit2gtk (2.50.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/fix-link-error.patch:
    - Cherry pick build fix for 2.50.2.
  * debian/patches/fix-crash.patch:
    - Cherry pick crash fix.
  * As of 2.50.0, WebKitGTK no longer depends on GstTranscoder (WebKit bug
    #295985).
    - debian/control.in: Remove build dependency on
      libgstreamer-plugins-bad1.0-dev.
    - debian/rules: Don't use -DUSE_GSTREAMER_TRANSCODER=OFF in Ubuntu.
  * debian/control.in:
    - Drop build dependency on libgirepository1.0-dev (Closes: #1118932).
    - Remove Rules-Requires-Root: no, as this is the default value since
      dpkg 1.22.13 (fixes redundant-rules-requires-root-no-field).
  * Use clang-19 on armhf since the build fails with versions 20 and 21
    (WebKit bug #290167).

 -- Alberto Garcia <berto@igalia.com>  Fri, 21 Nov 2025 11:01:12 +0100

webkit2gtk (2.50.1-1~deb11u1) bullseye-security; urgency=medium

  * Backport to bullseye.
  * Enable libmanette on i386.
  * debian/patches/disable-dmabuf.patch: refresh.
  * debian/patches/revert-glib-bump.patch: refresh.
  * debian/patches/revert-icu-bump.patch: refresh.
  * Disable media recorder API, requires gstreamer 1.20.
  * Fix MiniBrowser build with our clang, it (rightly) interprets
    main.c as a C source and [[fallthrough]] is a C++17 addition.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 13 Nov 2025 11:26:59 +0100

webkit2gtk (2.48.5-1~deb11u1) bullseye-security; urgency=medium

  * Backport to bullseye.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 19 Aug 2025 10:44:44 +0200
