## webkit2gtk 2.50.3

=== debian/changelog ===
webkit2gtk (2.50.3-1~deb13u1) trixie-security; urgency=medium

  * Rebuild for trixie-security.
  * Re-enable libmanette in i386.
  * Enable the transitional packages.
  * Don't override the clang compiler on armhf since trixie already uses
    clang-19 by default.

 -- Alberto Garcia <berto@igalia.com>  Tue, 09 Dec 2025 10:39:24 +0100

webkit2gtk (2.50.3-1) unstable; urgency=medium

  [ Alberto Garcia ]
  * New upstream release.
  * Use the default gcc (gcc-15) again in mips64el now that #1116217 has
    been fixed.
  * Drop fix-crash.patch and fix-link-error.patch.

  [ Jeremy Bicha ]
  * debian/control.in:
    - Stop suggesting devhelp, it's going to be removed from Debian.

 -- Alberto Garcia <berto@igalia.com>  Thu, 04 Dec 2025 12:18:39 +0100
