=== debian/control ===
--- 
+++ 
@@ -10,10 +10,8 @@
                bubblewrap [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 hppa ppc64 x32],
                xdg-dbus-proxy [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 hppa ppc64 x32],
                libseccomp-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 hppa ppc64 x32],
-               libc++abi-16-dev,
-               libc++-16-dev,
-               clang-16,
-               cmake (>= 3.18),
+               clang [amd64 arm64 armel armhf i386 ppc64el riscv64 s390x],
+               cmake (>= 3.20),
                flite1-dev,
                libglib2.0-dev,
                libharfbuzz-dev,
@@ -24,11 +22,13 @@
                libicu-dev,
                libgcrypt20-dev,
                libhyphen-dev,
+               libjxl-dev,
                liblcms2-dev,
                libmanette-0.2-dev,
+               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
                libxslt1-dev,
                libxml2-dev,
-               libsoup2.4-dev,libgtk-3-dev,
+               libsoup-3.0-dev,libgtk-3-dev,libgtk-4-dev,
                libsqlite3-dev,
                libsystemd-dev,
                libgudev-1.0-dev,
@@ -38,6 +38,7 @@
                flex,
                ruby:native,
                unifdef,
+               libavif-dev,
                libjpeg-dev,
                libopenjp2-7-dev,
                libpng-dev,
@@ -46,26 +47,24 @@
                libxt-dev,
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
-               libunwind-16-dev,
                libenchant-2-dev,
                libsecret-1-dev,
                gobject-introspection,
-               libgirepository1.0-dev,
                ninja-build,
                libegl-dev,
                libgl-dev,
                libgles-dev
-Build-Depends-Indep: jdupes
+Build-Depends-Indep: gi-docgen, jdupes
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
 Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git
 Homepage: https://webkitgtk.org/
 
-Package: libjavascriptcoregtk-4.0-bin
+Package: libjavascriptcoregtk-bin
 Section: interpreters
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
+Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Conflicts: ${jscbin:Conflicts}
@@ -79,7 +78,7 @@
  .
  This package provides jsc, a command-line JavaScript interpreter.
 
-Package: libwebkit2gtk-4.0-doc
+Package: libwebkitgtk-doc
 Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
@@ -88,7 +87,6 @@
 Conflicts: ${wkdoc:Conflicts}
 Breaks: ${wkdoc:Replaces}
 Replaces: ${wkdoc:Replaces}
-Suggests: devhelp
 Description: Web content engine library for GTK - documentation
  WebKit is a web content engine, derived from KHTML and KJS from KDE, and
  used primarily in Apple's Safari browser.  It is made to be embedded in
@@ -101,10 +99,10 @@
  .
  This package contains the documentation.
 
-Package: webkit2gtk-driver
-Architecture: linux-any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
+Package: webkitgtk-webdriver
+Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libwebkit2gtk-4.1-0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Conflicts: ${wkwebdriver:Conflicts}
@@ -123,7 +121,30 @@
  This package provides the WebDriver service implementation for
  WebKitGTK.
 
-Package: libjavascriptcoregtk-4.0-18
+Package: libwebkit2gtk-4.0-doc
+Build-Profiles: <!nodoc>
+Section: oldlibs
+Architecture: all
+Multi-Arch: foreign
+Depends: libwebkitgtk-doc, ${misc:Depends}
+Description: WebKitGTK documentation (transitional dummy package)
+ This is a transitional dummy package, it can be safely removed.
+
+Package: libjavascriptcoregtk-4.0-bin
+Section: oldlibs
+Architecture: all
+Depends: libjavascriptcoregtk-bin, ${misc:Depends}
+Description: WebKitGTK JavaScript command-line interpreter (transitional dummy package)
+ This is a transitional dummy package, it can be safely removed.
+
+Package: webkit2gtk-driver
+Section: oldlibs
+Architecture: all
+Depends: webkitgtk-webdriver, ${misc:Depends}
+Description: WebKitGTK WebDriver support (transitional dummy package)
+ This is a transitional dummy package, it can be safely removed.
+
+Package: libjavascriptcoregtk-4.1-0
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
@@ -136,16 +157,15 @@
  (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
  high-throughput optimizing JIT (FTL).
  .
- This build comes from the GTK port of WebKit (API version 4.0).
+ This build comes from the GTK port of WebKit (API version 4.1).
  .
  This package contains the shared libraries.
 
-Package: libjavascriptcoregtk-4.0-dev
+Package: libjavascriptcoregtk-4.1-dev
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
-         gir1.2-javascriptcoregtk-4.0 (= ${binary:Version}),
+Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
          libglib2.0-dev,
          ${gir:Depends},
          ${misc:Depends}
@@ -156,15 +176,15 @@
  (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
  high-throughput optimizing JIT (FTL).
  .
- This build comes from the GTK port of WebKit (API version 4.0).
+ This build comes from the GTK port of WebKit (API version 4.1).
  .
  This package contains the development files.
 
-Package: gir1.2-javascriptcoregtk-4.0
+Package: gir1.2-javascriptcoregtk-4.1
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
+Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
 Provides: ${gir:Provides}
@@ -174,17 +194,17 @@
  (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
  high-throughput optimizing JIT (FTL).
  .
- This build comes from the GTK port of WebKit (API version 4.0).
+ This build comes from the GTK port of WebKit (API version 4.1).
  .
  This package contains the introspection data, which can be used by
  packages using the GIRepository format to generate dynamic bindings.
 
-Package: libwebkit2gtk-4.0-37
+Package: libwebkit2gtk-4.1-0
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
+Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
          gstreamer1.0-plugins-base,
          gstreamer1.0-plugins-good,
          libgles2,
@@ -207,19 +227,18 @@
  supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
  .
  WebKitGTK is a WebKit port designed to be used in GTK applications.
- This build provides version 4.0 of the API and uses libsoup v2 for
+ This build provides version 4.1 of the API and uses libsoup v3 for
  the networking stack and the GTK 3 widget toolkit.
  .
  This package contains the shared libraries.
 
-Package: libwebkit2gtk-4.0-dev
+Package: libwebkit2gtk-4.1-dev
 Section: libdevel
 Architecture: linux-any
-Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
-         gir1.2-webkit2-4.0 (= ${binary:Version}),
+Depends: libwebkit2gtk-4.1-0 (= ${binary:Version}),
          libgtk-3-dev,
-         libsoup2.4-dev,
-         libjavascriptcoregtk-4.0-dev (= ${binary:Version}),
+         libsoup-3.0-dev,
+         libjavascriptcoregtk-4.1-dev (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
 Provides: ${gir:Provides}
@@ -232,16 +251,16 @@
  supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
  .
  WebKitGTK is a WebKit port designed to be used in GTK applications.
- This build provides version 4.0 of the API and uses libsoup v2 for
+ This build provides version 4.1 of the API and uses libsoup v3 for
  the networking stack and the GTK 3 widget toolkit.
  .
  This package contains the development files.
 
-Package: gir1.2-webkit2-4.0
+Package: gir1.2-webkit2-4.1
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
+Depends: libwebkit2gtk-4.1-0 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
 Provides: ${gir:Provides}
@@ -254,8 +273,43 @@
  supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
  .
  WebKitGTK is a WebKit port designed to be used in GTK applications.
- This build provides version 4.0 of the API and uses libsoup v2 for
+ This build provides version 4.1 of the API and uses libsoup v3 for
  the networking stack and the GTK 3 widget toolkit.
  .
  This package contains introspection data, which can be used by
  packages using the GIRepository format to generate dynamic bindings.
+
+Package: libjavascriptcoregtk-6.0-1
+Section: libs
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: JavaScript engine library from WebKitGTK
+ JavaScriptCore is the JavaScript engine used in WebKit. It consists
+ of the following building blocks: lexer, parser, start-up interpreter
+ (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
+ high-throughput optimizing JIT (FTL).
+ .
+ This build comes from the GTK port of WebKit (API version 6.0).
+ .
+ This package contains the shared libraries.
+
+Package: libjavascriptcoregtk-6.0-dev
+Section: libdevel
+Architecture: linux-any
+Multi-Arch: same
+Depends: libjavascriptcoregtk-6.0-1 (= ${binary:Version}),
+         libglib2.0-dev,
+         ${gir:Depends},
+         ${misc:Depends}
+Provides: ${gir:Provides}
+Description: JavaScript engine library from WebKitGTK - development files
+ JavaScriptCore is the JavaScript engine used in WebKit. It consists
+ of the following building blocks: lexer, parser, start-up interpreter
+ (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
+ high-throughput optimizing JIT (FTL).
+ .
+ This build comes from the GTK port of WebKit (API version 6.0).
+ .
