=== debian/rules ===
--- 
+++ 
@@ -8,20 +8,16 @@
 export CCACHE_NOHASHDIR=1
 export CCACHE_DIR=$(CURDIR)/ccache
 
-# soup2 build -> 4.0 API packages
-# soup3 build -> 4.1 API packages
-# gtk4 build  -> 6.0 API packages
-ENABLE_SOUP2=YES
-ENABLE_SOUP3=NO
-ENABLE_GTK4=NO
-
-# If YES, build libwebkit2gtk-4.0-doc, libjavascriptcoregtk-4.0-bin and webkit2gtk-driver
-# If NO, build libwebkitgtk-doc, libjavascriptcoregtk-bin and webkitgtk-webdriver
-USE_OLD_PKG_NAMES=YES
-
-# GStreamer needs libunwind.pc, but we need to use libunwind-16-dev from LLVM,
-# which doesn't ship a .pc file. So we add our own to workaround it.
-export PKG_CONFIG_PATH = $(CURDIR)/debian/pkgconfig
+# soup2 build -> 4.0 API packages (bookworm and older)
+# soup3 build -> 4.1 API packages (bookworm and newer)
+# gtk4 build  -> 6.0 API packages (bookworm and newer)
+ENABLE_SOUP2=NO
+ENABLE_SOUP3=YES
+ENABLE_GTK4=YES
+# YES => build libwebkit2gtk-4.0-doc, libjavascriptcoregtk-4.0-bin and webkit2gtk-driver (for bookworm)
+# BOTH => build libwebkitgtk-doc, libjavascriptcoregtk-bin and webkitgtk-webdriver and the transitional packages (for trixie)
+# NO => build *only* libwebkitgtk-doc, libjavascriptcoregtk-bin and webkitgtk-webdriver (for forky)
+USE_OLD_PKG_NAMES=BOTH
 
 EXTRA_DH_ARGUMENTS =
 EXTRA_CMAKE_ARGUMENTS = -DPORT=GTK \
@@ -32,29 +28,21 @@
 	   -DCMAKE_CXX_FLAGS_DEBUG="" \
 	   -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
 	   -DUSE_LIBBACKTRACE=OFF \
-	   -DUSE_AVIF=OFF \
-	   -DUSE_GBM=OFF \
-	   -DUSE_GSTREAMER_TRANSCODER=OFF \
-	   -DUSE_JPEGXL=OFF \
-	   -DUSE_SYSPROF_CAPTURE=OFF \
-	   -DENABLE_MINIBROWSER=ON \
-	   -DENABLE_MEDIA_RECORDER=OFF
+	   -DENABLE_MINIBROWSER=ON
 DH_GENCONTROL_ARGS =
 
-# We need clang-16 and libc++-16 for c++2b support
-EXTRA_CMAKE_ARGUMENTS += \
-   -DCMAKE_C_COMPILER=clang-16 \
-   -DCMAKE_CXX_COMPILER=clang++-16
-CXXFLAGS += -stdlib=libc++ -I/usr/lib/llvm-16/include/c++/v1
-LDFLAGS += -stdlib=libc++ -Wl,-rpath,/usr/lib/llvm-16/lib
-
-# GCC 15 fails in mips64el with an internal compiler error.
-# (Clang also fails with "failed to perform tail call elimination").
-# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1116217
-ifneq (,$(filter $(DEB_HOST_ARCH),mips64el))
+ifneq ($(filter amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4,$(DEB_HOST_ARCH)),)
+EXTRA_CMAKE_ARGUMENTS += -DUSE_SYSPROF_CAPTURE=ON
+else
+EXTRA_CMAKE_ARGUMENTS += -DUSE_SYSPROF_CAPTURE=OFF
+endif
+
+# Skia strongly recommends using clang
+# https://skia.org/docs/user/build/#supported-and-preferred-compilers
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armel armhf i386 ppc64el riscv64 s390x))
 	EXTRA_CMAKE_ARGUMENTS += \
-	   -DCMAKE_C_COMPILER=gcc-14 \
-	   -DCMAKE_CXX_COMPILER=g++-14
+	   -DCMAKE_C_COMPILER=clang \
+	   -DCMAKE_CXX_COMPILER=clang++
 endif
 
 # The WebKit build scripts look at the CPU to detect the architecture.
@@ -107,12 +95,6 @@
 else
 	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Release
 	CPPFLAGS += -DNDEBUG -DG_DISABLE_CAST_CHECKS
-endif
-
-# libmanette is no longer available in Ubuntu i386.
-# Let's disable it completely (also in Debian) to simplify maintenance.
-ifneq (,$(filter $(DEB_HOST_ARCH),i386))
-	EXTRA_CMAKE_ARGUMENTS += -DENABLE_GAMEPAD=OFF
 endif
 
 # Don't recommend xdg portals on Ubuntu i386 where it doesn't exist
@@ -193,6 +175,7 @@
 endif
 ifneq ($(ENABLE_GTK4),YES)
 	GTK4_BUILD = @:
+	EXTRA_DH_ARGUMENTS += -N$(LIBWEBKITGTKDOC_PKG)
 else
 	SOUP3_BUILD_DEP=libsoup-3.0-dev,
 	GTK4_BUILD_DEP=libgtk-4-dev,
@@ -223,3 +206,12 @@
 	libwebkit2gtk-4.0-37.docs \
 	libwebkit2gtk-4.0-37.install \
 	libwebkit2gtk-4.0-37.symbols \
+	libwebkit2gtk-4.0-dev.install
+
+# This converts debhelper file names and contents to the soup3 versions
+WEBKIT_DH_RENAME_SOUP3 = sed -e 's/4\.0-18/4.1-0/g' \
+			     -e 's/4\.0-37/4.1-0/g' \
+			     -e 's/4\.0\.so\.37/4.1.so.0/g' \
+			     -e 's/4\.0/4.1/g'
+
+# This converts debhelper file names and contents to the gtk4 versions
