## webkit2gtk 2.50.4

=== debian/changelog ===
webkit2gtk (2.50.4-1~deb13u1) trixie-security; urgency=medium

  * Rebuild for trixie-security.
  * Re-enable libmanette in i386.
  * Enable the transitional packages.
  * Don't override the clang compiler on armhf since trixie already uses
    clang-19 by default.

 -- Alberto Garcia <berto@igalia.com>  Wed, 17 Dec 2025 22:14:37 +0100

webkit2gtk (2.50.4-1) unstable; urgency=medium

  [ Alberto Garcia ]
  * New upstream release.
  * debian/copyright:
    - Update copyright information of all files.

  [ Samuel Thibault ]
  * control, rules: Restore building on hurd-any (Closes: #1122189).
  * debian/libwebkit2gtk-4.0-37.symbols: Fix list for hurd-any.

 -- Alberto Garcia <berto@igalia.com>  Tue, 16 Dec 2025 15:33:34 +0100
