=== debian/control ===
--- 
+++ 
@@ -24,14 +24,14 @@
                libhyphen-dev,
                libjxl-dev,
                liblcms2-dev,
-               libmanette-0.2-dev,
+               libmanette-0.2-dev [!hurd-any],
                libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
                libxslt1-dev,
                libxml2-dev,
                libsoup-3.0-dev,libgtk-3-dev,libgtk-4-dev,
                libsqlite3-dev,
-               libsystemd-dev,
-               libgudev-1.0-dev,
+               libsystemd-dev [!hurd-any],
+               libgudev-1.0-dev [!hurd-any],
                libwoff-dev,
                gperf,
                bison,
@@ -62,7 +62,7 @@
 
 Package: libjavascriptcoregtk-bin
 Section: interpreters
-Architecture: linux-any
+Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
          ${shlibs:Depends},
@@ -100,7 +100,7 @@
  This package contains the documentation.
 
 Package: webkitgtk-webdriver
-Architecture: linux-any
+Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libwebkit2gtk-4.1-0 (= ${binary:Version}),
          ${shlibs:Depends},
@@ -146,7 +146,7 @@
 
 Package: libjavascriptcoregtk-4.1-0
 Section: libs
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
@@ -163,7 +163,7 @@
 
 Package: libjavascriptcoregtk-4.1-dev
 Section: libdevel
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
          libglib2.0-dev,
@@ -182,7 +182,7 @@
 
 Package: gir1.2-javascriptcoregtk-4.1
 Section: introspection
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
          ${gir:Depends},
@@ -201,7 +201,7 @@
 
 Package: libwebkit2gtk-4.1-0
 Section: libs
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
@@ -234,7 +234,7 @@
 
 Package: libwebkit2gtk-4.1-dev
 Section: libdevel
-Architecture: linux-any
+Architecture: any
 Depends: libwebkit2gtk-4.1-0 (= ${binary:Version}),
          libgtk-3-dev,
          libsoup-3.0-dev,
@@ -258,7 +258,7 @@
 
 Package: gir1.2-webkit2-4.1
 Section: introspection
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Depends: libwebkit2gtk-4.1-0 (= ${binary:Version}),
          ${gir:Depends},
@@ -281,7 +281,7 @@
 
 Package: libjavascriptcoregtk-6.0-1
 Section: libs
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
@@ -298,7 +298,7 @@
 
 Package: libjavascriptcoregtk-6.0-dev
 Section: libdevel
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Depends: libjavascriptcoregtk-6.0-1 (= ${binary:Version}),
          libglib2.0-dev,
@@ -313,3 +313,5 @@
  .
  This build comes from the GTK port of WebKit (API version 6.0).
  .
+ This package contains the development files.
+
