=== debian/rules ===
--- 
+++ 
@@ -77,6 +77,16 @@
 	CPPFLAGS += -mlarge-data -mlarge-text
 endif
 
+# These are not available in the Hurd (#1033999)
+ifneq (,$(filter $(DEB_HOST_ARCH),hurd-i386 hurd-amd64))
+       EXTRA_CMAKE_ARGUMENTS += -DUSE_GBM=OFF -DUSE_LIBDRM=OFF -DENABLE_WEBGL=OFF -DUSE_SYSTEM_MALLOC=ON
+endif
+
+# Systemd/elogind and libmanette are Linux-only
+ifneq ($(DEB_HOST_ARCH_OS),linux)
+       EXTRA_CMAKE_ARGUMENTS += -DENABLE_JOURNALD_LOG=OFF -DENABLE_GAMEPAD=OFF
+endif
+
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_SYSTEM_MALLOC=ON
 	CPPFLAGS += -DRELEASE_WITHOUT_OPTIMIZATIONS
@@ -205,13 +215,3 @@
 	libjavascriptcoregtk-4.0-dev.install \
 	libwebkit2gtk-4.0-37.docs \
 	libwebkit2gtk-4.0-37.install \
-	libwebkit2gtk-4.0-37.symbols \
-	libwebkit2gtk-4.0-dev.install
-
-# This converts debhelper file names and contents to the soup3 versions
-WEBKIT_DH_RENAME_SOUP3 = sed -e 's/4\.0-18/4.1-0/g' \
-			     -e 's/4\.0-37/4.1-0/g' \
-			     -e 's/4\.0\.so\.37/4.1.so.0/g' \
-			     -e 's/4\.0/4.1/g'
-
-# This converts debhelper file names and contents to the gtk4 versions
